Commit 33944a5c authored by Michael Gilbert's avatar Michael Gilbert

release 52.0.2743.82-2

parent cbe2baa6
chromium-browser (52.0.2743.82-2) unstable; urgency=medium
* Bump standards version.
* Drop no longer needed speechd patch.
* Build complete debugging symbols again.
* Link against libusb 1.0 (closes: #810403).
* Fix path to master_preferences (closes: #830274).
* Add an explicit dependency on libnettle6 (closes: #832125).
-- Michael Gilbert <mgilbert@debian.org> Sun, 24 Jul 2016 22:02:56 +0000
chromium-browser (52.0.2743.82-1) unstable; urgency=medium
* New upstream stable release:
......
......@@ -43,7 +43,6 @@ Build-Depends:
libpci-dev,
libcap-dev,
libdrm-dev,
libusb-dev,
libicu-dev,
libffi-dev,
libkrb5-dev,
......@@ -69,6 +68,7 @@ Build-Depends:
libspeechd-dev (>= 0.8.4),
libminizip-dev,
libhunspell-dev,
libusb-1.0-0-dev,
libmodpbase64-dev,
libgnome-keyring-dev,
libnss3-dev (>= 3.12.3),
......@@ -81,7 +81,7 @@ Build-Depends:
libgcrypt20-dev,
fonts-ipafont-gothic,
fonts-ipafont-mincho,
Standards-Version: 3.9.7
Standards-Version: 3.9.8
Package: chromium
Architecture: i386 amd64
......@@ -91,6 +91,7 @@ Depends:
${shlibs:Depends},
x11-utils,
xdg-utils,
libnettle6,
Recommends:
fonts-liberation,
Suggests:
......
......@@ -11,7 +11,7 @@ description: search for master_preferences in /usr/share/chromium
- if (!PathService::Get(base::DIR_EXE, &master_prefs))
- return base::FilePath();
- return master_prefs.AppendASCII(installer::kDefaultMasterPrefs);
+ return base::FilePath("/usr/share/chromium");
+ return base::FilePath("/usr/share/chromium/master_preferences");
}
} // namespace internal
......@@ -18,4 +18,3 @@ system/clang.patch
system/ffmpeg.patch
webui.patch
system/speechd.patch
description: fix path to speechd headers
author: Michael Gilbert <mgilbert@debian.org>
--- a/build/linux/system.gyp
+++ b/build/linux/system.gyp
@@ -1162,7 +1162,7 @@
# speech-dispatcher < 0.8 we can get rid of all this (including
# third_party/speech-dispatcher) and just include
# speech-dispatcher/libspeechd.h unconditionally.
- 'libspeechd_h_prefix%': '',
+ 'libspeechd_h_prefix%': 'speech-dispatcher/',
},
'action_name': 'generate_libspeechd_loader',
'inputs': [
......@@ -48,6 +48,7 @@ defines+=enable_hidpi=1 \
linux_link_libpci=1 \
linux_link_gsettings=1 \
linux_link_libspeechd=1 \
linux_link_pulseaudio=1 \
linux_link_gnome_keyring=1 \
# system libraries to use
......@@ -59,10 +60,10 @@ defines+=use_system_re2=1 \
use_system_expat=1 \
use_system_libpng=1 \
use_system_libxml=1 \
use_system_libusb=1 \
use_system_libjpeg=1 \
use_system_libwebp=1 \
use_system_libxslt=1 \
use_system_libsrtp=1 \
use_system_jsoncpp=1 \
use_system_libevent=1 \
use_system_harfbuzz=1 \
......@@ -81,10 +82,9 @@ defines+=use_system_icu=0 \
#want_separate_host_toolset=0 \
# reduce the size of debugging symbols
defines+=remove_webcore_debug_symbols=1
# defines+=remove_webcore_debug_symbols=1
# some notes about embedded libraries
# use_system_libusb=0 requires modified source that exposes libusb_interrupt_handle_event api
# use_system_libvpx=0 need to run unbundler
# use_system_sqlite=0 build fails
# can't use system nss since net/third_party/nss is heavily patched
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment